## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
ATTACH DATABASE ':memory:' AS aux24;
PRAGMA automatic_index = x'9a143c022c7057568933225f2060';
CREATE TABLE t1(a,b,x);
CREATE TABLE t2(c,d,y);
CREATE INDEX t1b ON t1(b);
CREATE INDEX t2d ON t2(d);
ANALYZE sqlite_master;
INSERT INTO sqlite_stat1 VALUES('t1','t1b','10000 500');
INSERT INTO  sqlite_stat1 VALUES('t2','t2d','10000 500');
ANALYZE sqlite_master;
SELECT * FROM t1, t2 WHERE d=b;
SELECT * FROM t1, t2 WHERE d>b AND x=y;
SELECT * FROM t2;
SELECT MIN(c) FROM t2;
INSERT INTO t1 VALUES (NULL, NULL, NULL);
SELECT * FROM t1 AS a RIGHT JOIN t1 AS b ON a.rowid = b.rowid;
DELETE FROM t2 WHERE rowid = strftime('%s', 27);
PRAGMA automatic_index = 0;
CREATE TABLE t1(a,b,x);
CREATE TABLE t2(c,d,y);
CREATE INDEX t1b ON t1(b);
CREATE INDEX t2d ON t2(d);
ANALYZE sqlite_master;
INSERT INTO sqlite_stat1 VALUES('t1','t1b','10000 500');
INSERT INTO  sqlite_stat1 VALUES('t2','t2d','10000 500');
ANALYZE sqlite_master;
SELECT * FROM t1, t2 WHERE d=b;
SELECT * FROM t1, t2 WHERE d>b AND x=y;
SELECT * FROM t2;
SELECT MIN(c) FROM t2;
INSERT INTO t1 VALUES (NULL, NULL, NULL);
SELECT * FROM t1 AS a RIGHT JOIN t1 AS b ON a.rowid = b.rowid;
DELETE FROM t2 WHERE rowid = 27;
PRAGMA automatic_index = 0;
CREATE TABLE t1(a,b,x);
CREATE TABLE t2(c,d,y);
CREATE INDEX t1b ON t1(b);
CREATE INDEX t2d ON t2(d);
ANALYZE sqlite_master;
INSERT INTO sqlite_stat1 VALUES('t1','t1b','10000 500');
INSERT INTO  sqlite_stat1 VALUES('t2','t2d','10000 500');
ANALYZE sqlite_master;
SELECT * FROM t1, t2 WHERE d=b;
SELECT * FROM t1, t2 WHERE d>b AND x=y;
SELECT * FROM t2;
SELECT MIN(c) FROM t2;
INSERT INTO t1 VALUES (NULL, NULL, NULL);
SELECT * FROM t1 AS a RIGHT JOIN t1 AS b ON a.rowid = b.rowid;
DELETE FROM t2 WHERE rowid = 27;
PRAGMA automatic_index = 0;
CREATE TABLE t1(a,b,x);
CREATE TABLE t2(c,d,y);
CREATE INDEX t1b ON t1(b);
CREATE INDEX t2d ON t2(d);
ANALYZE sqlite_master;
INSERT INTO sqlite_stat1 VALUES('t1','t1b','10000 500');
INSERT INTO  sqlite_stat1 VALUES('t2','t2d','10000 500');
ANALYZE sqlite_master;
SELECT * FROM t1, t2 WHERE d=b;
SELECT * FROM t1, t2 WHERE d>b AND x=y;
SELECT * FROM t2;
SELECT MIN(c) FROM t2;
INSERT INTO t1 VALUES (NULL, NULL, NULL);
SELECT * FROM t1 AS a RIGHT JOIN t1 AS b ON a.rowid = b.rowid;
DELETE FROM t2 WHERE rowid = 27;
PRAGMA automatic_index = 0;
CREATE TABLE t1(a,b,x);
CREATE TABLE t2(c,d,y);
CREATE INDEX t1b ON t1(b);
CREATE INDEX t2d ON t2(d);
ANALYZE sqlite_master;
INSERT INTO sqlite_stat1 VALUES('t1','t1b','10000 500');
INSERT INTO  sqlite_stat1 VALUES('t2','t2d','10000 500');
ANALYZE sqlite_master;
SELECT * FROM t1, t2 WHERE d=b;
CREATE TABLE T (
  a TEXT,
  b TEXT
);
INSERT INTO T VALUES ('a','b'), ('c','d');
SELECT * FROM T WHERE a = REPLACE('a;',';','') AND b = 'b';
SELECT * FROM t1, t2 WHERE d>b AND x=y;
SELECT * FROM t2;
SELECT MIN(c) FROM t2;
INSERT INTO t1 VALUES (NULL, NULL, NULL);
SELECT * FROM t1 AS a RIGHT JOIN t1 AS b ON a.rowid = b.rowid;
DELETE FROM t2 WHERE rowid = 27;
PRAGMA recursive_triggers = ON;
INSERT INTO t1 DEFAULT VALUES;
UPDATE t2 SET y = y + 1 WHERE y IS NOT NULL;
WITH cte AS (SELECT * FROM t1 WHERE EXISTS (SELECT 1 FROM t1 WHERE x > 0)) SELECT * FROM cte;
DETACH DATABASE aux24;
WITH cte AS (SELECT NULL AS x, NULL AS y) SELECT x, y, x IS NULL FROM cte;
ALTER TABLE T DROP COLUMN b;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

